GuideLab API

Create a category

Create a new product category for the authenticated lab. Categories can be nested one level deep by specifying a parentId.

POST
/categories

Create a new product category for the authenticated lab. Categories can be nested one level deep by specifying a parentId.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/categories" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "category": {    "id": "string",    "labId": "string",    "parentId": "string",    "name": "string",    "subtitle": "string",    "description": "string",    "icon": "string",    "imageKey": "string",    "imageAspectRatio": "square",    "guideTitle": "string",    "guideBody": "string",    "guideMediaKey": "string",    "guideMediaType": "image",    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty